<?php
/**
 * The forget password view file of user module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      LiuRuoGu <liuruogu@easysoft.com>
 * @package     user
 * @link        http://www.zdoo.com
 */
?>
<?php
include '../../common/view/header.lite.html.php';
js::set('expired', $expired);
?>
<?php if($expired):?>
<style>body {background: none;}</style>
<div class="alert alert-danger">
  <div class="content"><?php echo $lang->linkExpired . sprintf($lang->user->tips->jumping, $isLogon ? helper::createLink('my', 'index') : inlink('login'));?></div>
</div>
<?php else:?>
<div id='bg' style='background-image: url(<?php echo $this->config->webRoot . 'theme/default/images/main/login_bg.png'?>)'>
  <div id='main'>
    <div class='table-row'>
      <h2 id='title'><?php echo $lang->resetPassword;?></h2>
      <form method='post' id='ajaxForm'>
        <div class='form-group'>
          <label for='account'><?php echo $lang->user->password;?></label>
          <?php echo html::password('password1', '', "class='form-control' placeholder='{$lang->user->inputPassword}'");?>
        </div>
        <div class='form-group'>
          <label for='email'><?php echo $lang->user->password2;?></label>
          <?php echo html::password('password2', '', "class='form-control' placeholder='{$lang->user->inputPassword}'");?>
        </div>
        <div class="btn-row">
          <?php echo html::submitButton($lang->submit, 'btn btn-primary');?>
          <?php echo html::linkButton($lang->goback, $this->config->webRoot);?>
        </div>
      </form>
    <div>
  </div>
</div>
<?php endif;?>
<?php
if($config->debug) js::import($jsRoot . 'jquery/form/min.js');
if(isset($pageJS)) js::execute($pageJS);
?>
</body>
</html>
