<?php
/**
 * The create view file of lieu module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     lieu
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<form id='ajaxForm' method='post' action="<?php echo $this->createLink('oa.lieu', 'create')?>">
  <table class='table table-form'>
    <tr>
      <th class='w-60px'><?php echo $lang->lieu->begin?></th>
      <td colspan='2'>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->lieu->date;?></span>
          <?php echo html::input('begin', $date, "class='form-control form-date date-picker-down'")?>
          <span class='input-group-addon '><?php echo $lang->lieu->time;?></span>
          <?php echo html::input('start', $this->config->attend->signInLimit, "class='form-control form-time date-picker-down'")?>
        </div>
      </td>
      <td class='w-10px'></td>
    </tr>
    <tr>
      <th><?php echo $lang->lieu->end?></th>
      <td colspan='2'>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->lieu->date;?></span>
          <?php echo html::input('end', $date, "class='form-control form-date date-picker-down'")?>
          <span class='input-group-addon '><?php echo $lang->lieu->time;?></span>
          <?php echo html::input('finish', $this->config->attend->signOutLimit, "class='form-control form-time date-picker-down'")?>
        </div>
      </td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->lieu->hours;?></th>
      <td><?php echo html::input('hours', '', "class='form-control' readonly")?></td>
      <td class='text-important text-margin-left balanceTip'></td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->lieu->desc;?></th>
      <td colspan='2'><?php echo html::textarea('desc', '', "class='form-control'")?></td>
      <td></td>
    </tr>
    <tr>
      <th></th>
      <td class='form-actions'><?php echo html::submitButton();?></td>
      <td></td>
      <td></td>
    </tr>
  </table>
</form>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
